> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addPayrollLineItemTaxAdjustments

> The `addPayrollLineItemTaxAdjustments ` API is used to add tax adjustments when the calculated taxes are incorrect. 

### What it does:
- Overwrites the existing tax with the specified amount

### When to use:
- For complex cases where the generic tax calculations do not produce an an accurate withholding amount
- When the employee has previosuly over or under-withheld specific taxes

### Notes:
- Use the `getAllowedTaxAdjustmentsList` API to retrieve the allowed taxNames
- Employees must be active within the pay period sent in the request to have tax adjustments added
- Allowed tax adjustments vary from employee to employee



## OpenAPI

````yaml post /payroll/addPayrollLineItemTaxAdjustments
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/addPayrollLineItemTaxAdjustments:
    post:
      tags: []
      summary: addPayrollLineItemTaxAdjustments
      description: >-
        The `addPayrollLineItemTaxAdjustments ` API is used to add tax
        adjustments when the calculated taxes are incorrect. 


        ### What it does:

        - Overwrites the existing tax with the specified amount


        ### When to use:

        - For complex cases where the generic tax calculations do not produce an
        an accurate withholding amount

        - When the employee has previosuly over or under-withheld specific taxes


        ### Notes:

        - Use the `getAllowedTaxAdjustmentsList` API to retrieve the allowed
        taxNames

        - Employees must be active within the pay period sent in the request to
        have tax adjustments added

        - Allowed tax adjustments vary from employee to employee
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                employeeId:
                  type: string
                taxAdjustments:
                  type: array
                  items:
                    type: object
                    properties:
                      taxName:
                        type: string
                      amount:
                        type: integer
                    required:
                      - taxName
                      - amount
              required:
                - method
                - companyId
                - payPeriodId
                - employeeId
                - taxAdjustments
            example:
              method: addPayrollLineItemTaxAdjustments
              companyId: 3A08507F-E78B-4ABF-98D8-87D382E7CE14
              payPeriodId: 3C068DE4-038F-4874-B99B-4AFD7CB39351
              employeeId: BA445FB2-A3CA-43B7-BB8A-399BDE85486C
              taxAdjustments:
                - taxName: Federal Withholding Tax
                  amount: 45
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                required:
                  - success
                  - message
              example:
                success: true
                message: Tax adjustment added successfully
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: companyId is mandatory
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````